
#ifndef __NRF2401_H__
#define __NRF2401_H__

//extern sbit DR1;
extern bit RcvFifoSign;      //接收缓冲区非空标志   有=1
extern bit RcvFifoFul;       //输入缓冲区满标志  满=1
//extern sbit	 PWR_UP = 1;

extern void	nRF2401_Init(void);
extern void SetRXMode();
extern void SetTXMode();
extern void BuildShockWord();
extern void ShockBurst();
extern void CheckButtons();
extern void ReceiveShock();
//extern void	nRF2401_Transmit( uchar *RcvAddr, uchar RcvAddrLen, uchar *TXData, uchar TXDataLen );
//extern void	SPI_SendByte( uchar ch );
extern unsigned char SPI_RcvByte( void );
extern void	Timer1_Init(void);
extern void	IRQ_Priority(void);
extern void	putRcvFifo( unsigned char ch );
extern unsigned char GetRcvFifo(void);
extern void	EXInt0_Init(void);

#endif